DSRW_WRITE_ELEMENT_DESC(3)

FUNCTION
dsrw_write_element_desc - Write an element descriptor in binary format.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_write_element_desc

(Channel channel, unsigned int type, CONST char *desc)

DESCRIPTION
This routine will write the binary format of an element descriptor to a channel object. If the element is an array pointer or a linked list pointer, that descriptor will also be written.

channel
    The channel object.

type
    The type of the element.

desc
    The element descriptor.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/